complexType "OptionalEarlyTermination"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 7 elements
Defined: | globally in fpml-ird-5-3.xsd; see XML source
Includes: | definitions of 7 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | singlePartyOption?, exercise?, exerciseNotice*, followUpConfirmation?, calculationAgent?, cashSettlement?, optionalEarlyTerminationAdjustedDates?
</...>

Content Model Elements (7):

  calculationAgent (in optionalEarlyTermination defined in OptionalEarlyTermination.model group),
  cashSettlement (in optionalEarlyTermination defined in OptionalEarlyTermination.model group),
  exercise,
  exerciseNotice (in optionalEarlyTermination defined in OptionalEarlyTermination.model group),
  followUpConfirmation (in optionalEarlyTermination defined in OptionalEarlyTermination.model group),
  optionalEarlyTerminationAdjustedDates,
  singlePartyOption

All Direct / Indirect Based Elements (1):

  optionalEarlyTermination (defined in OptionalEarlyTermination.model group)

Known Usage Locations

- As direct type of elements (1):
  optionalEarlyTermination (defined in OptionalEarlyTermination.model group)

Annotation
A type defining an early termination provision where either or both parties have the right to exercise.
XML Source (w/o annotations (7); see within schema source)

<xsd:complexType name="OptionalEarlyTermination"> <xsd:sequence> <xsd:element minOccurs="0" name="singlePartyOption" type="SinglePartyOption"/> <xsd:element minOccurs="0" ref="exercise"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="exerciseNotice" type="ExerciseNotice"/> <xsd:element minOccurs="0" name="followUpConfirmation" type="xsd:boolean"/> <xsd:element minOccurs="0" name="calculationAgent" type="CalculationAgent"/> <xsd:element minOccurs="0" name="cashSettlement" type="CashSettlement"/> <xsd:element minOccurs="0" name="optionalEarlyTerminationAdjustedDates" type="OptionalEarlyTerminationAdjustedDates"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 7/7)
calculationAgent

  Type: | CalculationAgent, complex content

  The ISDA Calculation Agent responsible for performing duties associated with an optional early termination.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="calculationAgent" type="CalculationAgent"/>

cashSettlement

  Type: | CashSettlement, complex content

  If specified, this means that cash settlement is applicable to the transaction and defines the parameters associated with the cash settlement prodcedure. If not specified, then physical settlement is applicable.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="cashSettlement" type="CashSettlement"/>

exercise

  Type: | Exercise, empty content
  Abstract: | (may not be used directly in instance XML documents)
  Subst.Gr: | may be substituted with 3 elements

  XML Source (see within schema source)

  <xsd:element minOccurs="0" ref="exercise"/>

exerciseNotice

  Type: | ExerciseNotice, complex content

  Definition of the party to whom notice of exercise should be given.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="exerciseNotice" type="ExerciseNotice"/>

followUpConfirmation

  Type: | xsd:boolean, predefined, simple content

  A flag to indicate whether follow-up confirmation of exercise (written or electronic) is required following telephonic notice by the buyer to the seller or seller's agent.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="followUpConfirmation" type="xsd:boolean"/>

optionalEarlyTerminationAdjustedDates

  Type: | OptionalEarlyTerminationAdjustedDates, complex content

  An early termination provision to terminate the trade at fair value where one or both parties have the right to decide on termination.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="optionalEarlyTerminationAdjustedDates" type="OptionalEarlyTerminationAdjustedDates"/>

singlePartyOption

  Type: | SinglePartyOption, complex content

  If optional early termination is not available to both parties then this component specifies the buyer and seller of the option.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="singlePartyOption" type="SinglePartyOption"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.